package com.rj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rj.entity.ScriptManagementMy;

import java.util.Map;

/**
 * 知识库管理服务
 */
public interface IScriptManagementMyService extends IService<ScriptManagementMy> {

    Map<String, Object> add(ScriptManagementMy entity);

    Map<String, Object> update(ScriptManagementMy entity);

    Map<String, Object> deleteById(String id);

    Map<String, Object> pageQuery(Integer current, Integer size, String title, String category, String industry,
                                  String creator, String status);
}
